werid script/plugin problem -- blocked or banned?

Lately, I am unable to install plugins for my rails projects.

Some examples:

$ script/plugin install # -->
http://svn.rubyonrails.org/rails/plugins/open_id_authentication/
Plugin not found:
["http://svn.rubyonrails.org/rails/plugins/open_id_authentication/"]

$ script/plugin discover # -->
/usr/lib/ruby/1.8/open-uri.rb:287:in `open_http': 403 Forbidden
(OpenURI::HTTPError)
from /usr/lib/ruby/1.8/open-uri.rb:626:in `buffer_open'
...
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require'
from script/plugin:3

As you can imagine, this has been quite frustrating. I set another
system ( a new install of Ubuntu Gutsy) and I get the same error. I
tested a new VPS install of (Gutsy) as well it had now problems
installing.

I live in Thailand, My VPS server is with Slicehost (in USA).

I believe that I have been blacklisted (notice the 403 Forbidden above)
and know of one site, www.railsforum.com (http://www.railsforum.com),
that used Spamhaus for their blacklist. When I contacted Spamhaus, I
found out that apparently the list of dynamic ip addresses I used are
mistakenly on the list. BTW. I am not a spammer. Only my ISP can get me
off this list. This is Thailand, and getting ISP to do something has not
been worked yet. I keep trying.

So, here are my questions:

Does the rails plugin servers use any type of blacklist?

If so, is there a way to fix this?

Thanks in advance.

Someone in your country is apparently sending spam, with your ISP.
You'll have to find a proxy somewhere else (that isn't also
blacklisted). That's my only suggestion.

-Ryan

I would like to ask this question again.

Does the rails plugin servers use any type of blacklist?

Does anyone know if they do or not?